Publications
Read the stored comment snapshot
GET
header
AuthorizationBearer <Postdot API key>A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.
projectId*stringLength
1 <= lengthpublicationId*stringLength
1 <= lengthResponse for status 200
application/json- response
publicationId*stringprovider*stringValue in
"bluesky""mastodon"snapshot*|nulllastAttemptAt*|nulllastError*string|string|string|string|string|string|string|string|string|nullcurl -X GET 'https://postbot.example/api/projects/string/publications/string/comments'Example Response
{
"publicationId": "string",
"provider": "bluesky",
"snapshot": {
"fetchedAt": 0,
"rootUri": "string",
"availability": "available",
"truncated": true,
"comments": [
{
"id": "string",
"parentUri": "string",
"depth": 0,
"availability": "available",
"authorDid": "string",
"authorHandle": "string",
"text": "string",
"createdAt": 0,
"externalUrl": "string"
}
]
},
"lastAttemptAt": 0,
"lastError": "blocked"
}